Subject: Re: [PATCH/RFC] Move contents of libgit.a to lib subdirectory

From: Jonathan Nieder <[email-masked]>
Date: Sun, 19 Jun 2011 20:12:45 -0500

Hi,

Peter Foley wrote:

> This patch tries to organize the git source tree by moving the files which 
> make up libgit.a to a lib subdirectory.
> Before this patch the toplevel source directory contained 285 files. 
> After this patch the root directory will contain 167 files and 
> the lib subdirectory will contain 119 files
>
> Signed-off-by: Peter Foley <[email-masked]>
> ---
>  Makefile                                     |  258 +++++++++++++-------------
>  abspath.c => lib/abspath.c                   |    0
>  advice.c => lib/advice.c                     |    0
[...]
>  zlib.c => lib/zlib.c                         |    0

Thanks for a reminder.  I had some vague hope that some "log --follow"
improvements[0] would arrive to make commands like "git log --follow
lib/branch.c" less painful, but that doesn't seem to be happening.
It's probably best not to wait forever.

As for the patch itself: my main thought is that I prefer to see
"branch.c" and "branch.h" in the same directory.  Aside from that, I
like it.  See [1] for some related discussion.

Regards,
Jonathan

[0] https://git.wiki.kernel.org/index.php/SoC2011Ideas#Better_git_log_--follow_support
[1] http://thread.gmane.org/gmane.comp.version-control.git/166424/focus=167154